List bank accounts
curl --request GET \
--url https://sandbox.layerfi.com/v1/businesses/{businessId}/bank-accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/bank-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/bank-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"ledger_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"notify_when_disconnected": true,
"is_disconnected": true,
"external_accounts": [
{
"type": "External_Account",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_account_external_id": "0Br385JmgbTryJn8nEBnUb4A5ydv06U9Vbqqq",
"external_account_name": "My external bank account",
"latest_balance_timestamp": {
"external_account_external_id": "0Br385JmgbTryJn8nEBnUb4A5ydv06U9Vbqqq",
"balance": 123,
"at": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z"
},
"current_ledger_balance": 123,
"uncategorized_transaction_sum": 123,
"mask": "4321",
"institution": {
"name": "Bank of Generica",
"logo": "iVBORw0KGgoAAAANSUhEUgAAAJgAAACYCAMAAAAvHNATAAAAYFBMVEUAAAAAC1ETC"
},
"notifications": [
{
"scope": "USER"
}
],
"connection_needs_repair_as_of": "2023-11-07T05:31:56Z",
"reconnect_with_new_credentials": true,
"requires_user_confirmation_as_of": "2023-11-07T05:31:56Z",
"connection_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connection_external_id": "<string>",
"user_created": true,
"is_syncing": true,
"ledger_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"archived_at": "2023-11-07T05:31:56Z",
"show_transactions_on_or_after": "2023-11-07T05:31:56Z",
"show_transactions_on_or_before": "2023-11-07T05:31:56Z"
}
],
"entity_tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "ExampleTagKey",
"value": "ExampleTagValue",
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"dimension_display_name": "<string>",
"value_display_name": "<string>",
"archived_at": "2023-11-07T05:31:56Z"
}
],
"type": "Bank_Account",
"account_name": "Business Checking",
"notes": "<string>",
"institution": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Chase",
"logo": "<string>"
},
"archived_at": "2023-11-07T05:31:56Z",
"memo": "<string>",
"metadata": {},
"reference_number": "<string>"
}
]
}List bank accounts
Returns a list of bank accounts for the specified business.
GET
/
v1
/
businesses
/
{businessId}
/
bank-accounts
List bank accounts
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Content-Type must be set to application/json.
Path Parameters
The UUID of the business.
Query Parameters
When true, archived bank accounts are included in the response. Defaults to false.
Response
200 - application/json
Show child attributes
Show child attributes
āI